# Staking and Unstaking with Ike

## Staking with Ike

When a user stakes tokens with the Ike protocol, the experience is as follows:

1. User initiates a `stake` transaction with the [`Vault`](/the-ike-protocol/architecture/core-smart-contracts.md#the-vault-contract) contract, in which they submit AZERO tokens to the `Vault`.
2. User receives sA0 from the `Vault`. The amount received depends on the current `Redemption Ratio`, which can be readily seen on the Ike dApp.

{% hint style="info" %}
For example, if the current Redemption Ratio is 1.1 AZERO for every sA0 token, then a user who stakes 11 AZERO will receive 10 sA0 from the Vault.
{% endhint %}

sA0 tokens are fungible, and can be traded on [DEXes](/the-ike-protocol/definitions.md) or used as a proxy for AZERO in other activities on the blockchain, such as DeFi applications, Gaming, NFTs, and more.&#x20;

When AZERO tokens are staked with Ike, they are transferred to the [`Vault`](/the-ike-protocol/architecture/core-smart-contracts.md#the-vault-contract) contract. The Vault handles the rest of the process behind the scenes, including:

1. generating the new sA0 tokens and transferring them to the user, and&#x20;
2. making sure the user's AZERO tokens make it downstream to [Validators](/the-ike-protocol/definitions.md) for staking on the network.&#x20;

For more technical information on how staking works behind the scenes, see Ike's docs on the [**Staking Mechanism**](/the-ike-protocol/architecture/staking-and-un-staking-mechanisms.md#staking-mechanism).

***

## Unstaking with Ike

Users can redeem AZERO from the `Vault` in exchange for submitting sA0 to the `Vault`. The number of  AZERO received depends on the Redemption Ratio at that time, with respect to the number of sA0 they submit for redemption.&#x20;

{% hint style="info" %}
For example, if the current Redemption Ratio is 1.1  AZERO  for every sA0, then a user who submits 10 sA0 will receive 11 AZERO from the Vault.
{% endhint %}

It's important to note that when using Liquid Staking, there will be a delay between the time that a user requests to unstake AZERO and when they actually receive them to their wallet. There are a few reasons for this, including native unstaking delays built into, and enforced by, the blockchain itself. The user experience is as follows:

1. **Initiation:** User executes an unstaking request by making a [`requestUnlock`](/the-ike-protocol/architecture/smart-contract-functions.md#unstaking-functions) call to the Vault. When they call this function, they specify *either* how many sA0 they'd like to submit, *or* how many AZERO they'd like to receive.
2. **Cooldown Period:** Once the unbonding request is sent to the Validators, the users must wait for the [Cooldown Period](/aleph-zero-network/liquid-staking-on-aleph-zero.md#cooldown-period). This is enforced by the blockchain itself, and there is no way around it.&#x20;
3. **Redemption:** Once the Cooldown Period is over, the user can redeem their AZERO tokens to their wallet.

For more detailed technical information on how this process works, see Ike's docs on the [**Unstaking Mechanism**](/the-ike-protocol/architecture/staking-and-un-staking-mechanisms.md#unstaking-mechanism)**.**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ike.xyz/the-ike-protocol/staking-and-unstaking-with-ike.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
